#
# Name:          makefile
#
# Description:   Makefile for the pusher
#
#
# The name of the compiler to use
CC=gcc -g
#The default compiler flags to use
#CFLAGS=-I.  -DUNIX -DDIAGNOSE
CFLAGS=-I.  -DUNIX 
#
CFILES=pusher.c
OBJS=pusher.o
#
# The libraries to include
LDLIBS=-mt -lc -lnsl -ldl -lmqm -lmqmcs -lmqmzse

# The rule for converting .c objects to .o objects
#.c.o:
#   ${cc} $(CFLAGS) -c -o $@ $<
#   cc -I  -c -o pusher.c

# The first object in the makefile is the default
# object to build.
# All of the objects in this makefile are components of pusher.
all: pusher
# The mainline routine
#pusher.o:  pusher.c pusherdef.h
#   $(CC) $(CFLAGS) -c -xCC -Xt pusher.c
#
# Build the objects into an executable program
pusher: $(OBJS)
	$(CC) -o pusher pusher.o $(LDLIBS)
#
pusher.o:  pusher.c 
	$(CC) $(CFLAGS) -c pusher.c
#


